Bug 48047 - Impress FILEOPEN: pptx with table, formatting of table is lost
Summary: Impress FILEOPEN: pptx with table, formatting of table is lost
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: high normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:5.0.0
Keywords: preBibisect
Depends on:
Blocks:
 
Reported: 2012-03-29 05:16 UTC by sasha.libreoffice
Modified: 2016-05-09 17:36 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
presentation with table (182.91 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2012-03-29 05:16 UTC, sasha.libreoffice
Details
screenshot of previous presentation made in msPP 2007 on Windows XP (48.02 KB, image/jpeg)
2012-03-29 05:18 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2012-03-29 05:16:35 UTC
Created attachment 59220 [details]
presentation with table

attached pptx file contains table. Table has no borders, except of some horizontal rows. Hight of rows is different. Numbers means hight of rows in centimetres. 

in 3.3.4 and 3.5.1 reproducible problem with hight of rows. Rows becomes of equal hight, table becomes oversized

in 3.5.1 also problem with horizontal borders, they disappears
(in 3.4.3 also no borders), therefore regression after 3.3.4
Comment 1 sasha.libreoffice 2012-03-29 05:18:00 UTC
Created attachment 59221 [details]
screenshot of previous presentation made in msPP 2007 on Windows XP
Comment 2 s-joyemusequna 2012-05-13 08:40:02 UTC
Confirmed.

Event further regression with LOdev 3.6 (2012-05-10) version 3.6.0alpha0+ (Build ID: 9980e69) from  Win-x86@6-fast, tested on Windows 64:

the background of the orange row is black instead.
Comment 3 sasha.libreoffice 2013-04-22 11:57:17 UTC
reproducible in 4.0.2.2 using first attachment
document is taken from bug 41693 

But when I have created in msPP 2010 from scratch, it opened correctly
So, may be problem specific for msPP 2007, or I have done something wrong
Comment 4 Joel Madero 2013-07-26 20:05:36 UTC
This is two bugs in one so I'm focusing on the first issue - row height.

Due to comment I am updating to 3.3.4 as it says problem exists in that version and version field should be oldest. Confirmed that this exists on earliest bibisect version so bibisect useless.
Comment 5 Joel Madero 2013-07-26 20:08:12 UTC
Changing to high for normal as tables in powerpoints are quite common and this can completely limit ability to make professional quality presentations.
Comment 6 retired 2014-01-17 12:39:24 UTC
Confirmed:4.2.0.2:OSX

Tabel still becomes oversized due to changed cell hight. MS Powerpoint displays as expected.
Comment 7 Robinson Tryon (qubit) 2014-11-06 00:10:02 UTC
(In reply to Joel Madero from comment #4)
> Due to comment I am updating to 3.3.4 as it says problem exists in that
> version and version field should be oldest.

Changing version field back to 3.3.4 (as we consider PreBibisect to mean pre-3.5).
Comment 8 Yogesh Bharate 2015-03-23 12:29:50 UTC

*** This bug has been marked as a duplicate of bug 80340 ***
Comment 9 Yogesh Bharate 2015-03-23 12:38:12 UTC
- Table contents empty row i.e row without text.
- Row height increase due to the its add the text height in empty row height.
- This issue is solved.
Comment 10 Yogesh Bharate 2015-03-23 12:41:51 UTC
- Table contents empty row i.e row without text.
- Row height increase due to the its add the text height in empty row height.
- This issue is solved.
Comment 11 Timur 2015-05-11 15:07:30 UTC
(In reply to Yogesh Bharate from comment #8)
> *** This bug has been marked as a duplicate of bug 80340 ***
In general, this should not be correct for 2 reasons:
- later bug should be marked as a duplicate of an earlier bug;
- that bug is also "multiple problems" bug, and should be marked as "WorksForMe" in this case, if some issues are solved and remaining issues are reported separately.

Yogesh, I really appreciate what you did in in Bug 90190 and Bug 90672, but I'm not clear why you wrote:
(In reply to Yogesh Bharate from comment #10)
> - This issue is solved.
I don't see that this is solved even in the latest 5.0 alpha1. 

(In reply to Yogesh Bharate from comment #10)
> - Table contents empty row i.e row without text.
> - Row height increase due to the its add the text height in empty row height.
What does this mean?

This issue looks like inherited from OO.
Comment 12 Timur 2015-05-13 08:36:36 UTC
As noted in Bug 80340 - thanks to Yogesh:

yogesh.bharate001 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4f2c8194f485b1527fb4f4dfe23ce804937f1f9c

tdf#80340: Table changes format in PPTX format

It will be available in 5.0.0.
Comment 13 Robinson Tryon (qubit) 2015-12-17 11:01:23 UTC
Migrating Whiteboard tags to Keywords: (PreBibisect)
[NinjaEdit]
Comment 14 Michael Stahl (CIB) 2016-05-09 17:36:07 UTC
remove "backportrequest" for EOL release branch